Bug 1462760 - Review Request: gir-to-d - Tool to create D bindings from GObject introspection files
Review Request: gir-to-d - Tool to create D bindings from GObject introspecti...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 09:15 EDT by Neal Gompa
Modified: 2017-07-11 16:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 16:53:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Neal Gompa 2017-06-19 09:15:43 EDT
Spec URL: http://kinginuyasha.enanocms.org/downloads/gir-to-d.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/gir-to-d-0.10.0-1.fc25.src.rpm

Description:
gir-to-d is a tool to create D bindings using GObject Introspection
"typelib" files, enabling quick and easy use of various libraries
written using GObject conventions with the D language.

Fedora Account System Username: ngompa
Comment 1 Rex Dieter 2017-06-19 09:29:43 EDT
I can review.

Please consider a review swap in return, one of those tracked @ bug #1441801 would be nice, thanks.
Comment 2 Rex Dieter 2017-06-19 09:42:44 EDT
scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20065556

$ rpmlint ./gir-to-d-0.10.0-1.fc25.x86_64.rpm 
gir-to-d.x86_64: W: spelling-error %description -l en_US typelib -> type lib, type-lib, Teletype
gir-to-d.x86_64: E: non-standard-executable-perm /usr/bin/girtod 775
gir-to-d.x86_64: W: no-manual-page-for-binary girtod
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

1. permissions, as noted by rpmlint, 
/usr/bin/girtod 775
is a little surprising and non-standard (compared to expected 755), please confirm this is purposeful and needed.  Otherwise, use 755.

naming: ok

sources: ok
5620b303fb174626bee2f7a2ea4e698f  gir-to-d-0.10.0.tar.gz

license: ok

macros: ok (mostly). I'd argue that ideally workarounds like:
--------------
export DFLAGS="%{_d_optflags}"
# Drop '-specs=/usr/lib/rpm/redhat/redhat-hardened-ld' as LDC doesn't support it
export LDFLAGS="-Wl,-z,relro"
--------------
should be handled automatically elsewhere (like ldc or macros.ldc), so all consumer apps/pkgs would not have to include such workarounds.

scriptlets: n/a

otherwise, .spec is fairly simple and clean.


APPROVED
Comment 3 Gwyn Ciesla 2017-06-19 10:49:31 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gir-to-d
Comment 4 Fedora Update System 2017-06-19 20:17:06 EDT
gir-to-d-0.10.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ef6519c65
Comment 5 Fedora Update System 2017-06-21 02:23:03 EDT
gir-to-d-0.10.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ef6519c65
Comment 6 Fedora Update System 2017-06-23 07:42:36 EDT
gir-to-d-0.11.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ef6519c65
Comment 7 Fedora Update System 2017-06-23 21:21:55 EDT
gir-to-d-0.11.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0ef6519c65
Comment 8 Fedora Update System 2017-07-11 16:53:56 EDT
gir-to-d-0.11.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.